IMS_IMS_IMS/Controllers/WBSController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using IMS_ENTITYFRAMEWORK.Repository;
using IMS_ENTITYFRAMEWORK;
using IMS_IMS_MODEL;
using System.IO;
using System.Net.Mime;
using IMS_IMS_IMS.Filter;
using static System.Net.WebRequestMethods;
using System.Data;
using ClosedXML.Excel;
using System.Net.Mail;
using System.Net;


namespace IMS_IMS_IMS.Controllers
{
    [IMSAuthentication]
    public class WBSController : Controller
    {
       
        Repositories repositories = null;
        INVENTORYEntities Datacontext;
        public WBSController()
        {
            
          
            
            repositories = new Repositories();
          
            using (INVENTORYEntities context = new INVENTORYEntities())
            {
                List<ItemListTable> ItemList = context.ItemListTable.ToList();
                ViewBag.ItemList = new SelectList(ItemList, "ItemName", "ItemName");

                List<LocationZone> locationList = context.LocationZone.ToList();
                ViewBag.LocationList = new SelectList(locationList, "locationZone1", "locationZone1");

                Datacontext = new INVENTORYEntities();
                //Loop through the Table name from Entity Framework
                var GetTableNames = typeof(INVENTORYEntities).GetProperties().Select(x => x.Name).ToArray();

                foreach(var EntityName in GetTableNames)
                {
                    if(EntityName== "PumpingMachineryMotor")
                    {
                        ViewBag.ItemName = EntityName;
                    }
                    if (EntityName == "PumpingMachineryPumpset")
                    {
                        ViewBag.PumpingMachineryPumpsetDetails = EntityName;
                    }

                    if (EntityName == "Transformer")
                    {

                        ViewBag.PowerEquipmentItemName = "Power Equipment";
                    }
                    if (EntityName == "Land")
                    {

                        ViewBag.LandDetails = EntityName;
                    }
                    if (EntityName == "Valve")
                    {

                        ViewBag.ValveDetails = EntityName;
                    }

                    if (EntityName == "PanelBoard")
                    {

                        ViewBag.PanelBoardDetails = "Panel Board";
                    }
                    if (EntityName == "Building")
                    {

                        ViewBag.BuildingDetails = EntityName;
                    }
                    if (EntityName == "StorageSediTank")
                    {

                        ViewBag.TankDetails = "Tank";
                    }
                    if (EntityName == "Pipe")
                    {

                        ViewBag.PipeDetails = EntityName;
                    }

                    if (EntityName == "WTP")
                    {

                        ViewBag.WTPDetails = "Water Treatment Plant";
                    }
                }

             

               // ViewBag.ItemName = Datacontext.PumpingMachineryMotor.Where(x => x.itemname.Equals(ItemName1)).ToList<PumpingMachineryMotor>().FirstOrDefault().itemname;
             
            }


        }
        public ActionResult Index()
        {
            return View();
        }

       
        [HttpGet]
        public ActionResult WaterAssetDetailsList()
        {

            return View();

        }
        [HttpPost]
        public JsonResult _WaterAssetDetailsList()
        {
            List<WaterBoostingInventory> GetDetails;
            using (var context = new INVENTORYEntities())
            {
                //List<AssetDetailsModel> EmpAssetInfo = context.AssetDetails.ToList();
                GetDetails = context.WaterPumpAssetDetails.Select(x => new WaterBoostingInventory
                {
                    Location = x.location,
                    ItemType = x.itemType,
                    Category = x.category,
                    ItemName = x.itemName,
                    PumpHouseName = x.pumphousename,
                    PumpHouseWTP = x.pumphouseWTP,
                    PumpReferenceName = x.pumpreferencename,
                    RatedPower = x.retedpower,
                    RatedHead = x.reatedhead,
                    RatedFlow = x.reatedflow,
                    TypeOfPump = x.typeofpump,
                    Make = x.make,
                    Quantity = x.Quantity,
                    UOM = x.UOM,
                    Description = x.descript

                }).ToList();



                return Json(GetDetails, JsonRequestBehavior.AllowGet);
            }




        }

        [HttpGet]
        public ActionResult AddWaterDetailsModal()
        {

            return View("WaterAssetDetailsList");

        }

        [HttpPost]
        public JsonResult AddWaterDetailsModal(WaterBoostingInventory boostingInventory)
        {
            string result = "";
            int Id = 0;

            if (ModelState.IsValid)
            {

                //var isExist = AssetAlreadyExist(assetDetailsModel.AssetId_unique);
                //var SerialExist = AssetAlreadyExist(assetDetailsModel.SerialNo);
                //if (isExist == false || SerialExist == false)
                //{

                //    message = "Asset Already Exist";
                //}

                //else if (isExist == true || SerialExist == true)
                //{
                Id = repositories.AddWaterDetailsModel(boostingInventory);
                if (Id > 0)
                {

                    result = "Asset Added Successfully";
                    ModelState.Clear();

                }
                else
                {
                    result = "Something Went wrong";
                }


            }
            return Json(new { result = result }, JsonRequestBehavior.AllowGet);

        }


        [HttpGet]
        public ActionResult CreateItem()
        {

            return View();

        }

        [HttpPost]
        public JsonResult CreateItem(CreateItemModel createItemModel)
        {
            string result = "";
            int Id = 0;

            if (ModelState.IsValid)
            {

                //var isExist = AssetAlreadyExist(assetDetailsModel.AssetId_unique);
                //var SerialExist = AssetAlreadyExist(assetDetailsModel.SerialNo);
                //if (isExist == false || SerialExist == false)
                //{

                //    message = "Asset Already Exist";
                //}

                //else if (isExist == true || SerialExist == true)
                //{
                Id = repositories.CreateItem(createItemModel);
                if (Id > 0)
                {
                    ModelState.Clear();
                    result = "Asset Added Successfully";


                }
                else
                {
                    result = "Something Went wrong";
                }


            }
            return Json(new { result = result }, JsonRequestBehavior.AllowGet);

        }

        [HttpGet]
        public ActionResult WBSAssetDetails()
        {


            return View();

        }
        [HttpPost]
        public JsonResult WBSAssetDetails(string SelectedItemName)
        {

            if(SelectedItemName!=null)
            {

                RedirectToAction(SelectedItemName);
            }


            return Json("Something went wrong", JsonRequestBehavior.AllowGet);

        }
        [HttpGet]
        public ActionResult PumpingMachineryMotor()
        {
            return View();

        }

        [HttpPost]

        public JsonResult PumpingMachineryMotor(PumpingMachineryMotorModel machineryMotorModel)
        {
            
            string message = "";
            int ItemCode = 0;

            if (ModelState.IsValid)
            {
                 ItemCode = repositories.PumpiingMachineryMotor1(machineryMotorModel);
                if(ItemCode>0)
                {

                    message = "Asset Added Successfully";
                }
                else
                {

                    message = "Something Went wrong";
                }

            }


           // string strDDLValue = Request.Form["location"].ToString();
            return Json(new { message = message, ItemCode= ItemCode }, JsonRequestBehavior.AllowGet);

        }

        [HttpGet]
        public ActionResult PumpingMachineryPumpSet()
        {
            return View();

        }

        [HttpPost]

        public JsonResult PumpingMachineryPumpSet(PumpingMachineryPumpSetModel machineryPumpSetModel)
        {
            bool status = false;

            if (ModelState.IsValid)
            {
                int ItemCode = repositories.PumpingMachineryPumpSet(machineryPumpSetModel);
                if (ItemCode > 0)
                {

                    status = true;
                }
                else
                {

                    status = false;
                }

            }


            // string strDDLValue = Request.Form["location"].ToString();
            return Json(new { result = status }, JsonRequestBehavior.AllowGet);

        }

        [HttpGet]
        public ActionResult PanelBoard()
        {
            return View();

        }

        [HttpPost]

        public JsonResult PanelBoard(PanelBoardModel panelBoardModel)
        {
            bool status = false;

            if (ModelState.IsValid)
            {
                int ItemCode = repositories.PanelBoard(panelBoardModel);
                if (ItemCode > 0)
                {

                    status = true;
                }
                else
                {

                    status = false;
                }

            }


            // string strDDLValue = Request.Form["location"].ToString();

IMS_IMS_IMS/Views/WBS/AddWaterDetailsModal.cshtml
@model IMS_IMS_MODEL.WaterBoostingInventory


<div class="container-fluid">

    @using (Ajax.BeginForm("AddWaterDetailsModal", "WBS", new AjaxOptions
    {
        HttpMethod = "POST",
        OnSuccess = "OnSuccess",
        OnFailure = "OnFailure",
        LoadingElementId = "progress",
        OnComplete = "OnComplete"
    }, new { @id = "FormWaterDetails" }))
    {
        @Html.AntiForgeryToken()



        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="row ">
            <div class="form-group green-border-focus col-md-6 ">
                @Html.LabelFor(model => model.Location, "Location", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.Location, Enumerable.Empty<SelectListItem>(), "--Select Location--", new { @class = "form-control", @id = "location" })
                    @Html.ValidationMessageFor(model => model.Location, "", new { @class = "text-danger" })
                </div>
            </div>


            <div class="form-group green-border-focus col-md-6 ">
                @Html.LabelFor(model => model.ItemType, "Item Type", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.ItemType, Enumerable.Empty<SelectListItem>(), "--Select Item Type--", new { @class = "form-control", @id = "ItemType" })
                    @Html.ValidationMessageFor(model => model.ItemType, "", new { @class = "text-danger" })


                </div>
            </div>

        </div>

        <div class="row">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Category, "Category", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.Category, Enumerable.Empty<SelectListItem>(), "--Select Category--", new { @class = "form-control", @id = "Category" })
                    @Html.ValidationMessageFor(model => model.Category, "", new { @class = "text-danger" })

                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.ItemName, "Item Name", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.ItemName, new { htmlAttributes = new { @class = "form-control", placeholder = "Item Name" } })
                    @Html.ValidationMessageFor(model => model.ItemName, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="row">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.PumpHouseName, "PumpHouse Name", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.PumpHouseName, new { htmlAttributes = new { @class = "form-control", placeholder = "PumpHouse Name",@id="PumpHouseName" } })
                    @Html.ValidationMessageFor(model => model.PumpHouseName, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.PumpHouseWTP, "PumpHouse WTP", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.PumpHouseWTP, new { htmlAttributes = new { @class = "form-control", placeholder = "PumpHouse WTP",@id="PumpHouseWTP"  } })
                    @Html.ValidationMessageFor(model => model.PumpHouseWTP, "", new { @class = "text-danger" })
                </div>
            </div>

        </div>


        <div class="row">

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.PumpReferenceName, "PumpReference Name", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.PumpReferenceName, new { htmlAttributes = new { @class = "form-control", placeholder = "PumpReference Name", @id = "PumpReferenceName" } })
                    @Html.ValidationMessageFor(model => model.PumpReferenceName, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.RatedPower, "Rated Power", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.RatedPower, new { htmlAttributes = new { @class = "form-control", placeholder = "Rated Power in HP", @id = "RatedPower" } })
                    @Html.ValidationMessageFor(model => model.RatedPower, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>


        <div class="row">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.RatedHead, "Rated Head", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.RatedHead, new { htmlAttributes = new { @class = "form-control", placeholder = "Rated Head", @id = "RatedHead" } })
                    @Html.ValidationMessageFor(model => model.RatedHead, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.RatedFlow, "Rated Flow", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.RatedFlow, new { htmlAttributes = new { @class = "form-control", placeholder = "Rated Flow", @id = "RatedFlow" } })
                    @Html.ValidationMessageFor(model => model.RatedFlow, "", new { @class = "text-danger" })
                </div>
            </div>

        </div>


        <div class="row">

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.TypeOfPump, "Pump Type", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.TypeOfPump, new { htmlAttributes = new { @class = "form-control", placeholder = "Type Of Pump", @id = "TypeOfPump" } })
                    @Html.ValidationMessageFor(model => model.TypeOfPump, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Make, "Make", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Make, new { htmlAttributes = new { @class = "form-control", placeholder = "Make", @id = "Make" } })
                    @Html.ValidationMessageFor(model => model.Make, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="row">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Quantity, "Quantity", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Quantity, new { htmlAttributes = new { @class = "form-control", placeholder = "Quantity", @id = "Quantity" } })
                    @Html.ValidationMessageFor(model => model.Quantity, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.UOM, "Unit Of Measurement", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.UOM, new { htmlAttributes = new { @class = "form-control", placeholder = "UOM", @id = "UOM" } })
                    @Html.ValidationMessageFor(model => model.UOM, "", new { @class = "text-danger" })
                </div>
            </div>


        </div>


        <div class="row">
            <div class="form-group green-border-focus col-md-12">
                @Html.LabelFor(model => model.Description, "Description", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-9">
                  
                    @Html.TextAreaFor(model=>model.Description,new {@id="description",rows=3,cols=90,@value="Description",@title="Description"})
                    @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                </div>
            </div>

        </div>




        <div class=" col-md-12">
            <div class=" col-md-6">
                <input type="submit" value="Submit Details" class="col-md-offset-6 btn btn-success btn-block" id="btnSubmit" />
            </div>

        </div>


    }

</div>



<script>

    function OnSuccess(result) {

        console.log(result);
        if (result.result == "Asset Added Successfully") {

            toastr.success(result.result, "Message");
           // document.getElementById("FormDetailSubmission").reset();
        }
        else if (result.result == "Something Went wrong") {

            toastr.error(result.result, "Error Message", { timeOut: 10000 });
        }
       


        else {
            toastr.error("Something Went wrong !!", "Error Message", { timeOut: 10000 });
        }


    }


    function OnFailure(result) {

        toastr.error("Something Went Wrong", "Error Message");


    }

</script>
<script>

    $(function () {
        $('#Category').change(function () {
            // var value = $(this).find("option:selected").text()
            var value = $("#Category option:selected").text();
            //ups
            if (value == "Other") {
                $("#PumpHouseName").attr("disabled", true);
                $("#PumpHouseName").empty();
                $("#PumpHouseWTP").attr("disabled", true);
                $("#PumpHouseWTP").empty()
                $("#PumpReferenceName").attr("disabled", true);
                $("#PumpReferenceName").empty()
                $("#RatedPower").attr("disabled", true);
                $("#RatedPower").empty()
                $("#RatedHead").attr("disabled", true);
                $("#RatedHead").empty()
                $("#RatedFlow").attr("disabled", true);
                $("#RatedFlow").empty()
                 $("#TypeOfPump").attr("disabled", true);
                $("#TypeOfPump").empty()
               
            }
            else {

                $("#PumpHouseName").attr("disabled", false);
                $("#PumpHouseWTP").attr("disabled", false);
                $("#PumpReferenceName").attr("disabled", false);
                $("#RatedPower").attr("disabled", false);
                $("#RatedHead").attr("disabled", false);
                $("#RatedFlow").attr("disabled", false);
                $("#TypeOfPump").attr("disabled", false);

            }

            });


});
       
</script>

<script>



    $(document).ready(function () {


      

        $.getJSON("/WBS/DDLlocation", function (data) {
            $.each(data, function (i, data) {      // bind the dropdown list using json result
                $('<option>',
                    {
                        value: data.locationName,
                        text: data.locationName
                    }).html(data.locationName).appendTo("#location");
            });
        });

        //------------------------------------------------------

        $.getJSON("/WBS/DDLCategory", function (data) {
            $.each(data, function (i, data) {      // bind the dropdown list using json result
                $('<option>',
                    {
                        value: data.Category,
                        text: data.Category
                    }).html(data.Category).appendTo("#Category");
            });
        });
        //---------------------------------------------------------

        $.getJSON("/WBS/DDLItemType", function (data) {
            $.each(data, function (i, data) {      // bind the dropdown list using json result
                $('<option>',
                    {
                        value: data.ItemType,
                        text: data.ItemType
                    }).html(data.ItemType).appendTo("#ItemType");
            });
        });
        //---------------------------------------------------------





    });

    






</script>

IMS_IMS_IMS/Views/WBS/ClearWaterTank.cshtml
@model IMS_IMS_MODEL.CreateItemModel


<script src="~/Scripts/toastr.min.js"></script>
<link href="~/Content/toastr.css" rel="stylesheet" />

<div class="container-fluid">

    @using (Ajax.BeginForm("CreateItem", "WBS", new AjaxOptions
    {
        HttpMethod = "POST",
        OnSuccess = "OnSuccess",
        OnFailure = "OnFailure",
        LoadingElementId = "progress",
        OnComplete = "OnComplete"
    }, new { @id = "FormCreateItem" }))
    {
        @Html.AntiForgeryToken()



        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="row ">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.ItemCode, "Item Code", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.ItemCode, new { htmlAttributes = new { @class = "form-control", placeholder = "Item Code" } })
                    @Html.ValidationMessageFor(model => model.ItemCode, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6 ">
                @Html.LabelFor(model => model.Location, "Location", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.Location, Enumerable.Empty<SelectListItem>(), "--Select Location--", new { @class = "form-control", @id = "location1" })
                    @Html.ValidationMessageFor(model => model.Location, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>
        <div class="row ">
            <div class="form-group green-border-focus col-md-6 ">
                @Html.LabelFor(model => model.ItemType, "Item Type", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.ItemType, Enumerable.Empty<SelectListItem>(), "--Select Item Type--", new { @class = "form-control", @id = "ItemType1" })
                    @Html.ValidationMessageFor(model => model.ItemType, "", new { @class = "text-danger" })


                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Category, "Category", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.Category, Enumerable.Empty<SelectListItem>(), "--Select Category--", new { @class = "form-control", @id = "Category1" })
                    @Html.ValidationMessageFor(model => model.Category, "", new { @class = "text-danger" })

                </div>
            </div>


        </div>

        <div class="row">

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.ItemName, "Item Name", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.ItemName, new { htmlAttributes = new { @class = "form-control", placeholder = "Item Name" } })
                    @Html.ValidationMessageFor(model => model.ItemName, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Make, "Make", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Make, new { htmlAttributes = new { @class = "form-control", placeholder = "Make", @id = "Make" } })
                    @Html.ValidationMessageFor(model => model.Make, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="row">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Quantity, "Quantity", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Quantity, new { htmlAttributes = new { @class = "form-control", placeholder = "Quantity", @id = "Quantity" } })
                    @Html.ValidationMessageFor(model => model.Quantity, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.UOM, "Unit Of Measurement", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.UOM, new { htmlAttributes = new { @class = "form-control", placeholder = "UOM", @id = "UOM" } })
                    @Html.ValidationMessageFor(model => model.UOM, "", new { @class = "text-danger" })
                </div>
            </div>


        </div>


        <div class="row">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Status, "Status", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.Status, Enumerable.Empty<SelectListItem>(), "--Select Status--", new { @class = "form-control", @id = "Status" })
                    @Html.ValidationMessageFor(model => model.Status, "", new { @class = "text-danger" })

                </div>
            </div>
            <div class="form-group green-border-focus col-md-12">
                @Html.LabelFor(model => model.Description, "Description", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">

                    @Html.TextAreaFor(model => model.Description, new { @class = "form-control green-border-focus", @id = "description", rows = 3, cols = 90, @value = "Description", @title = "Description" })
                    @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                </div>
            </div>

        </div>
        <div class=" col-md-12">
            <div class=" col-md-6">
                <input type="submit" value="Submit Details" class="col-md-offset-6 btn btn-success btn-block" id="btnSubmit" />
            </div>

        </div>


    }

</div>



<script>

    function OnSuccess(result) {

        console.log(result);
        if (result.result == "Asset Added Successfully") {

            toastr.success(result.result, "Message");
            // document.getElementById("FormDetailSubmission").reset();
        }
        else if (result.result == "Something Went wrong") {

            toastr.error(result.result, "Error Message", { timeOut: 10000 });
        }



        else {
            toastr.error("Something Went wrong !!", "Error Message", { timeOut: 10000 });
        }


    }


    function OnFailure(result) {

        toastr.error("Something Went Wrong", "Error Message");


    }

</script>